const API_INTERNAL_URI = require("../config.js").API_INTERNAL_URI;
const req = require("../utils/request").httpReq;

exports.entCheck = async (ctx) => {
  const url = `${API_INTERNAL_URI}/merchant/inner/ent_check`;
  const opts = {
    url: url,
    method: "GET",
    json: true,
    timeout: 8000,
    body: ctx.request.body
  };
  console.log("参数传递", ctx.request);
  ctx.body = await req(ctx, opts);
};

exports.entCommit = async (ctx, next) => {
  const url = `${API_INTERNAL_URI}/merchant/inner/ent_commit`;
  const opts = {
    url,
    method: "POST",
    json: true,
    timeout: 8000,
    body: ctx.request.body
  };
  console.log(next);
  ctx.body = await req(ctx, opts);
};
